main()
{
	//maps\mp\mp_facility_fx::main();
	//maps\createart\mp_facility_art::main();
	maps\mp\_load::main();	
	
	maps\mp\_compass::setupMiniMap("compass_map_mp_facility");

	//setExpFog(500, 2200, 0.81, 0.75, 0.63, 0);
	//VisionSetNaked( "mp_facility" );
	ambientPlay("ambient_facility_ext");

	game["allies"] = "sas";
	game["axis"] = "opfor";
	game["attackers"] = "axis";
	game["defenders"] = "allies";
	game["allies_soldiertype"] = "woodland";
	game["axis_soldiertype"] = "woodland";

	setdvar( "r_specularcolorscale", "1" );
	setdvar("r_glowbloomintensity0",".25");
	setdvar("r_glowbloomintensity1",".25");
	setdvar("r_glowskybleedintensity0",".3");
	setdvar("compassmaxrange","1800");

	//background music code
	musicbackground = getent ("music","targetname");
	musicbackground thread music();

	//door code
	trigdoorswing = getentarray("trigdoorswing","targetname");
	for(i=0;i<trigdoorswing.size;i++)
	{
		if (trigdoorswing[i].script_noteworthy == "ccw")
		{
		trigdoorswing[i].intswingdirection = 1;
		}
		else
		{
		trigdoorswing[i].intswingdirection = -1;		
		}
		trigdoorswing[i].doormodel = getent(trigdoorswing[i].target, "targetname");
		trigdoorswing[i].doormodel.doormoving = false;
		trigdoorswing[i].doormodel.doorclosed = true;
		trigdoorswing[i].doormodel.time = 1; //how long it takes the door to swing
		trigdoorswing[i] thread doorswing();
	}

	trigdoorslide = getentarray("trigdoorslide","targetname");
	for(i=0;i<trigdoorslide.size;i++)
	{
		trigdoorslide[i].doormodel = getent(trigdoorslide[i].target, "targetname");
		trigdoorslide[i].doormodel.doormoving = false;
		trigdoorslide[i].doormodel.doorclosed = true;
		trigdoorslide[i].doormodel.time = 2; //how long it takes the door to slide
		trigdoorslide[i].distancevalue = 49; //how far the door slides north, south, east, or west
		trigdoorslide[i].updistancevalue = 113; //how far the door slides up
		trigdoorslide[i] thread doorslide();
	}
}

//background music code
music()
{
	wait(5);
	self playsound("bond");
}

//door code
doorswing()
{
	while (1)
	{
		self waittill("trigger");
		if(!self.doormodel.doormoving)
		{
			self.doormodel.doormoving = true;
			if(self.doormodel.doorclosed)
			{
				self.doormodel rotateyaw(self.intswingdirection * 90,self.doormodel.time,self.doormodel.time*0.5,self.doormodel.time*0.5);
				self.doormodel playsound("doormove");
				self.doormodel waittill("rotatedone");
				self.doormodel.doorclosed = false;
		
				//close door again
				wait 4;
				self.doormodel rotateyaw(self.intswingdirection * -90,self.doormodel.time,self.doormodel.time*0.5,self.doormodel.time*0.5);
				self.doormodel playsound("doormove");
				self.doormodel waittill("rotatedone");
				self.doormodel.doorclosed = true;		
			}
			self.doormodel.doormoving = false;
			
		}
	}
}

doorslide()
{
	while (1)
	{
		self waittill("trigger");
		if(!self.doormodel.doormoving)
		{
			self.doormodel.doormoving = true;
			if(self.doormodel.doorclosed)
			{
				if(self.script_noteworthy == "north")
				{
					self.doormodel movey(self.distancevalue,self.doormodel.time,self.doormodel.time*0.5,self.doormodel.time*0.5); //north
				}
				else if(self.script_noteworthy == "south")
				{
					self.doormodel movey(-1*self.distancevalue,self.doormodel.time,self.doormodel.time*0.5,self.doormodel.time*0.5); //south
				}
				else if(self.script_noteworthy == "east")
				{
					self.doormodel movex(self.distancevalue,self.doormodel.time,self.doormodel.time*0.5,self.doormodel.time*0.5); //south
				}
				else if(self.script_noteworthy == "west")
				{
					self.doormodel movex(-1*self.distancevalue,self.doormodel.time,self.doormodel.time*0.5,self.doormodel.time*0.5); //south
				}
				else if(self.script_noteworthy == "up")
				{
					self.doormodel movez(self.updistancevalue,self.doormodel.time,self.doormodel.time*0.5,self.doormodel.time*0.5); //south
				}
				self.doormodel playsound("doorslide");
				self.doormodel waittill("movedone");
				self.doormodel.doorclosed = false;
		
				//close door again
				wait 4;
				if(self.script_noteworthy == "north")
				{
					self.doormodel movey(-1*self.distancevalue,self.doormodel.time,self.doormodel.time*0.5,self.doormodel.time*0.5); //north
				}
				else if(self.script_noteworthy == "south")
				{
					self.doormodel movey(self.distancevalue,self.doormodel.time,self.doormodel.time*0.5,self.doormodel.time*0.5); //south
				}
				else if(self.script_noteworthy == "east")
				{
					self.doormodel movex(-1*self.distancevalue,self.doormodel.time,self.doormodel.time*0.5,self.doormodel.time*0.5); //south
				}
				else if(self.script_noteworthy == "west")
				{
					self.doormodel movex(self.distancevalue,self.doormodel.time,self.doormodel.time*0.5,self.doormodel.time*0.5); //south
				}
				else if(self.script_noteworthy == "up")
				{
					self.doormodel movez(-1*self.updistancevalue,self.doormodel.time,self.doormodel.time*0.5,self.doormodel.time*0.5); //south
				}
				self.doormodel playsound("doorslide");
				self.doormodel waittill("movedone");
				self.doormodel.doorclosed = true;		
			}
			self.doormodel.doormoving = false;
			
		}
	}
}